#ifndef __PCIIO_H
#define __PCIIO_H


typedef unsigned long  DWORD;
typedef unsigned short WORD;
typedef int            BOOL;
typedef unsigned char  BYTE;

#define IN_P(p)    inb( p )
#define OUT_P(p,v) outb( v, p )


#define FALSE 0
#define TRUE  !FALSE


#define OPTI_C558  0xC5581045
#define SIS_0008   0x00081039
#define INTEL_7000 0x70008086
#define INTEL_7110 0x71108086
#define INTEL_122E 0x122E8086

#define ROUTREG	0x60

DWORD PCI_ReadReg( unsigned char bus,  unsigned char dev,
				   unsigned char func, unsigned char reg );
void PCI_WriteReg( unsigned char bus,  unsigned char dev,
				   unsigned char func, unsigned char reg, DWORD data );

unsigned char Get_MappedFuncNumber( DWORD reg, unsigned char func );

DWORD PCI_ReadOneReg( unsigned char dev, unsigned char func, unsigned char reg );
void  PCI_WriteOneReg( unsigned char dev, unsigned char func, unsigned char reg, DWORD val );
int   PCI_BuildIntrField( void );

void  PCIsetSetChipset( DWORD dwChipset, short nDev );
BOOL  IsChipsetFinded( void );
short PCIsetSetTestOn( short pin, short irq );
char *PCIsetGetChipString( void );

int PCIsetIsATX( void );
void PCIsetSetATXDDMA( DWORD val );


void CS4237Main( int bFmMode );

#endif
